#include <iostream>
#include <vector>
#include <bitset>

#define SIZE 10000
#define DEBUG
#undef DEBUG

using namespace std;

long long n,k,ans = 0;
int i,j;
pair <int, int> tmp;
pair <int, int> xy;

bool wch[SIZE], hch[SIZE+10], dl[2*SIZE+10], dr[2*SIZE+10];

//vector <int> h,w,d1,d2;

struct Bit_struct
{
       bitset <SIZE> b;
};
//vector <int, int> pointDD, pointXY;

void BITSET_SOLVES();

/*void SLOW_SOLVES();
void QUICK_SOLVES();*/

/*long long a();
long long b();
long long c();
long long d();

long long ab();
long long ac();
long long ad();
long long bc();
long long bd();
long long cd();

long long abcd();
long long bcd();
long long acd();
long long abd();
long long abc();*/

int main()
{
//    SLOW_SOLVES();
    
//    QUICK_SOLVES();
      BITSET_SOLVES();
}

void BITSET_SOLVES()
{
    #ifdef DEBUG
    start:
    #endif
    cin >> n >> k;
    if (k == 0)
    {
          cout << n*n;
    }
    else
    {
        memset(wch, true, sizeof(wch));
        memset(hch, true, sizeof(hch));
        
        memset(dl, true, sizeof(dl));
        memset(dr, true, sizeof(dr));
        
        for (i = 0; i<k; i++)
        {
            cin >> tmp.first >> tmp.second;    
            wch[tmp.first-1] = false;
            hch[tmp.second-1] = false;
                 
            dl[n-1 - tmp.first + tmp.second] = false;
            dr[tmp.first + tmp.second - 2] = false;
        }
                    
        Bit_struct *bitmas = new Bit_struct[n];
                
        int w_count = 0, h_count = 0;
                
        for (i = 0; i<n; i++)
        {
            if (!wch[i])
            {
                for (j = 0; j<n; j++)
                {
                    bitmas[i].b[j] = true;
                }
                w_count++;
            }
        }
        
        for (i = 0; i<n; i++)
        {
            if (!hch[i])
            {
                for (j = 0; j<n; j++)
                {
                    bitmas[j].b[i] = true;
                }
                h_count++;
            }
        }   
        
        ans = n*n  - n * (w_count + h_count) + w_count * h_count;
        
        for (i = 0; i<2*n; i++)
        {
            if (!dl[i])
            {
                if (i < n-1)
                {
                      xy.first = 0;
                      xy.second = n-1-i;
                }
                else
                {
                    xy.first = i - n + 1;
                    xy.second = 0;
                }
                
                while (xy.second < n && xy.first < n)
                {
                      if (!bitmas[xy.second].b[xy.first])
                      {
                           bitmas[xy.second].b[xy.first] = true;
                           ans--;                             
                      }                      
                      xy.first++;     
                      xy.second++;
                }
            } 
            
            if (!dr[i])
            {
                if (i < n-1)
                {
                      xy.first = 0;
                      xy.second = i;
                }
                else
                {
                    xy.first = i-n+1;
                    xy.second = n-1;
                }
                
                while (xy.second >= 0 && xy.first < n)
                {
                      if (!bitmas[xy.second].b[xy.first])
                      {
                           bitmas[xy.second].b[xy.first] = true;
                           ans--;                             
                      }                      
                      xy.first++;     
                      xy.second--;
                }
            }                        
        }
           
        cout << ans << endl;
     
    #ifdef DEBUG
    cout << endl;
    for (i = 0; i<n; i++)
    {
    for (j = 0; j<n; j++)
    cout << bitmas[i].b[j];
    cout << endl;
    }
    #endif   
        
    }
     
    #ifdef DEBUG
    goto start;
    #endif
}

/*
void QUICK_SOLVES()
{
    cin >> n >> k;
    if (k == 0)
    {
          cout << n*n;
    }
    else
    {
        memset(wch, true, sizeof(wch));
        memset(hch, true, sizeof(hch));
        
        memset(dl, true, sizeof(dl));
        memset(dr, true, sizeof(dr));
        
        for (i = 0; i<k; i++)
        {
            cin >> tmp.first >> tmp.second;    
            wch[tmp.first-1] = false;
            hch[tmp.second-1] = false;
                 
            dl[n-1 + tmp.first - tmp.second] = false;
            dr[tmp.first + tmp.second - 2] = false;
        }
            
        for (i = 0; i<n; i++) 
        {
           if (!wch[i]) w.push_back(i);      
           if (!hch[i]) h.push_back(i);
        }
        
        for (i = 0; i<2*n; i++) 
        {
           if (!dl[i]) d2.push_back(i);      
           if (!dr[i]) d1.push_back(i);
        }  
        /* 
        a - ____
        b - |||||
        c  - //////
        d - \\\\\\\
          
         */ /* 
        ans = n*n - (a() + b() + c() + d() - ab() - ac() - ad() - bc() - bd() - cd() + abc() + abd() + acd() + bcd() - abcd());           
        cout << ans << endl;
    }
     
}

long long a()
{
     return n * w.size();
}

long long b()
{
     return n * h.size();
}

long long c()
{
     int len_tmp = d1.size();
     long long res = 0;
     for (i = 0; i<len_tmp; i++)
     if (d1[i] < n) res += d1[i]+1;
     else res+=2*n - d1[i] - 1;
     return res;
}

long long d()
{
     int len_tmp = d2.size();
     long long res = 0;
     for (i = 0; i<len_tmp; i++)
     if (d1[i] < n) res += d1[i];
     else res+=2*n - d1[i];
     return res;
}
//

long long ab()
{
        
     int wlen = w.size(), hlen = h.size();
     for (i = 0; i<wlen; i++)
     for (j = 0; j<hlen; j++)
     pointXY.push_back(make_pair(w[i], h[j]));
          
     return pointXY.size();
}

long long ac()
{
     long long res = 0;
     
     int len = d1.size(), x1, x2;
     for (i = 0; i<len; i++)
     {
         if (d1[i] < n) x1=0,x2=i;
         else x1=d1[i]-n-1, x2=n-1;
         
         for (j=x1; j<=x2; j++)
         if (!wch[j]) res++;         
     }
     
     return res;    
}

long long ad()
{
     long long res = 0;
     
     int len = d2.size(), x1, x2;
     for (i = 0; i<len; i++)
     {
         if (d2[i] < n) x1=n-d[i],x2=n-1;
         else x1=0, x2=2*n - d2[i]-1;
         
         for (j=x1; j<=x2; j++)
         if (!wch[j]) res++;         
     }
     
     return res;
}

long long bc()
{
     long long res = 0;
     
     int len = d1.size(), y1, y2;
     for (i = 0; i<len; i++)
     {
         if (d1[i] < n) y1=0,y2=i;
         else y1=d1[i]-n-1, y2=n-1;
         
         for (j=y1; j<=y2; j++)
         if (!hch[j]) res++;         
     }
     
     return res;    
}

long long bd()
{
     long long res = 0;
     
     return res;     
}

long long cd()
{
     long long res = 0;
     
     return res;     
}
//

long long abc()
{
     long long res = 0;
     
     return res;
}

long long abd()
{
     long long res = 0;
     
     return res;
}

long long acd()
{
     long long res = 0;
     
     return res;
}

long long bcd()
{
     long long res = 0;
     
     return res;
}

long long abcd()
{
     long long res = 0;
     
     return res;
}*/

/*void SLOW_SOLVES()
{
    cin >> n >> k;
    if (k == 0)
    {
          cout << n*n;
    }
    else
    {
        memset(wch, true, sizeof(wch));
        memset(hch, true, sizeof(hch));
        
        memset(dl, true, sizeof(dl));
        memset(dr, true, sizeof(dr));
        
        for (i = 0; i<k; i++)
        {
            cin >> tmp.first >> tmp.second;    
            wch[tmp.first-1] = false;
            hch[tmp.second-1] = false;
                 
            dl[n-1 + tmp.first - tmp.second] = false;
            dr[tmp.first + tmp.second - 2] = false;
        }
            
        for (i = 0; i<n; i++) 
        {
           if (wch[i]) w.push_back(i);      
           if (hch[i]) h.push_back(i);
        }
        
        int wlen = w.size(), hlen = h.size();
        
        for (i = 0; i<wlen; i++)
            for (j = 0; j<hlen; j++)
            {
                if (dl[n-1 + w[i] - h[j]] && dr[w[i] + h[j]]) ans++;
            }
            
        cout << ans << endl;
    }
}
*/

