#include <cstdlib>
#include <iostream>
#include <stdio.h>

using namespace std;

void mach1(int** board, int a, int b)
{
     if(board[a][b] != 2)
     {
         board[a][b] = 1;
     }
}

void machLocked(int n, int** board, int i, int j)
{
     int a = i - 1;
     int b = j - 1;
    board[a][b] = 2;
    int m = a - 1;
    if(m >= 0)
    {
        for(m; m >= 0; m--)
        {
            mach1(board, m, b);
        }
    }
    m = a + 1;
    if(m < n)
    {
        for(m; m < n; m++)
        {
            mach1(board, m, b);
        }
    }
    int l = b - 1;
    if(l >= 0)
    {
        for(l; l >= 0; l--)
        {
            mach1(board, a, l);
        }
    }
    l = b + 1;
    if(l < n)
    {
         for(l; l< n; l++)
         {
             mach1(board, a, l);
         }
    }
    m = a - 1;
    l = b - 1;
    while(m >= 0 && l >= 0)
    {
        mach1(board, m, l);
        m--;
        l--;
    }
    m = a + 1;
    l = b + 1;
    while(m < n && l < n)
    {
        mach1(board, m, l);
        m++;
        l++;
    }
    m = a - 1;
    l = b + 1;
    while(m >= 0 && l < n)
    {
        mach1(board, m, l);
        m--;
        l++;
    }
    m = a + 1;
    l = b - 1;
    while(m < n && l >= 0)
    {
        mach1(board, m, l);
        m++;
        l--;
    }
}

int getCount(int n, int** board)
{
    int count = 0;
    for(int a = 0; a < n; a++)
    {
        for(int b = 0; b < n; b++)
        {
            if(board[a][b] == 0)
            {
                count++;
            }
        }
    }
    return count;
}


int main(int argc, char *argv[])
{
    int n = 0;
    int k = 0;
    //freopen("in.txt", "r", stdin);
    cin >> n >> k;
    int** board = new int*[n];
    for(int ia = 0; ia < n; ia++)
    {
        board[ia] = new int[n];
    }
    for(int a = 0; a < n; a++)
    {
        for(int b = 0; b < n; b++)
        {
            board[a][b] = 0;
        }
    }
    /*for(int s = 0; s < n; s++)
    {
        for(int q = 0; q < n; q++)
        {
            cout << board[s][q] << " ";
        }
        cout << endl;
    }*/
    int i = 0;
    int j = 0;
    for(int ind = 0; ind < k; ind++)
    {
        cin >> i >> j;
        machLocked(n, board, i, j);
    }
    int count = getCount(n, board);
    //freopen("CON", "r", stdin);
    cout << count;
    system("PAUSE");
    return EXIT_SUCCESS;
}
