#include <stdio.h>
#include <math.h>
//#include <Windows.h>

typedef unsigned long int u32;
typedef float f32;

inline u32 rnd(f32 val)
{
       f32 valfl = floorf(val);
       if (val - valfl >= 0.5f)
          return (u32)(valfl + 1.0001f);
       else
          return (u32)valfl;
}

int main()
{    
    u32 srcx, srcy, dstx, dsty;
    scanf("%d%d%d%d", &srcx, &srcy, &dstx, &dsty);
    f32 srcAspect = (f32)srcx / (f32)srcy;
    f32 dstAspect = (f32)dstx / (f32)dsty;
    u32 resx, resy;
    if (srcAspect > dstAspect)
    {
       resx = dstx;
       resy = rnd((f32)dstx / srcAspect);
    }
    else
    {
       resx = rnd((f32)dsty * srcAspect);
       resy = dsty;
    }
    if (!resx)
       resx = 1;
    if (!resy)
       resy = 1;
    printf("%d %d\n", resx, resy);
    //system("pause");
    return 0;
}
