#include <stdio.h>
#include <memory.h>
//#include <Windows.h>

typedef unsigned long int u32;

#define MAX_DIM 3000

int main()
{
    bool vertCheckMap[MAX_DIM];
    bool matrix[MAX_DIM][MAX_DIM];
    memset(matrix, 1, MAX_DIM * MAX_DIM);
    memset(vertCheckMap, 1, MAX_DIM);
    u32 dim, qCount;
    scanf("%d%d", &dim, &qCount);
    for (u32 qid = 0; qid < qCount; qid++)
    {
        u32 x, y;
        scanf("%d%d", &x, &y);
        x--;
        y--;
        memset(matrix[y], 0, dim);
        vertCheckMap[x] = 0;
        u32 sum = y + x;
        for (u32 i = 0; i <= sum; i++)
            matrix[i][sum - i] = 0;
        sum = y + (dim - x);
        for (u32 i = 0; i <= sum; i++)
            matrix[i][dim - sum + i] = 0;
    }
    
    /*for (u32 i = 0; i < dim; i++)
    {
        if (vertCheckMap[i])
        {
           for (u32 j = 0; j < dim; j++)
               if (matrix[j][i])
                  printf(".");
               else
                   printf("#");
        }
        else
            for (u32 j = 0; j < dim; j++)
                printf("#");
        printf("\n");
    }*/
    u32 result = 0;
    for (u32 i = 0; i < dim; i++)
    {
        if (vertCheckMap[i])
        {
           for (u32 j = 0; j < dim; j++)
               result += matrix[j][i];
        }
    }
    printf("%d\n", result);
//    system("pause");
    return 0;
}
